FROM docker.io/alpine:3.15

ENV NAME=openocd VERSION=0 ARCH=x86_64
LABEL   name="$NAME" \
        version="$VERSION" \
        architecture="$ARCH" \
        run="podman run --rm -it --security-opt label=disable --device /PATH/TO/USB/DEVICE -p 3333:3333 IMAGE ..." \
        summary="OpenOCD for embedded development." \
        maintainer="Andreas Hartmann <hartan@7x.de>" \
        url="https://gitlab.com/c8160/embedded-rust/openocd"

# Add documentation
COPY help.md /
# Add configuration and helpers
COPY find_usb.sh /
COPY openocd_bind.cfg /

RUN apk add openocd && rm -rf /var/cache/apk/*

EXPOSE 3333
WORKDIR /project
VOLUME /project

ENTRYPOINT [ "/usr/bin/openocd" ]
